Skip to main content
GET
/
api
/
admin
/
statuses
GetTransactionStatusCodes
curl --request GET \
  --url https://test.paysight.io/api/admin/statuses \
  --header 'Authorization: <api-key>' \
  --header 'ClientId: <clientid>' \
  --header 'UserEmail: <useremail>'
{
  "success": true,
  "count": 123,
  "totalCount": 123,
  "pageNumber": 123,
  "pageSize": 123,
  "totalPages": 123,
  "moreResults": true,
  "data": [
    {
      "id": "<string>",
      "status": "<string>",
      "successful": true,
      "isGatewayLevelStatus": true,
      "isIssuerDecline": true,
      "isInsufficientFunds": true,
      "isInvalidCardDetails": true,
      "isOther": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Your Paysight API key. You can find it in your Paysight account at https://app.paysight.io/settings/account

Headers

ClientId
string
required

Your Paysight Tenant/Client Id. This is the id of the parent company listed in https://app.paysight.io/management/companies. Alternatively, this will be provided by Paysight

UserEmail
string
required

The email address of the party or group making the request

Query Parameters

page
integer
default:1

Page number (1-based, default 1)

Required range: x >= 1
pageSize
integer
default:50

Number of items per page (default 50, max 200)

Required range: 1 <= x <= 200

Optional search term to filter by status description or ID

successful
boolean

Filter by successful status

isIssuerDecline
boolean

Filter by issuer decline status

isInsufficientFunds
boolean

Filter by insufficient funds status

isInvalidCardDetails
boolean

Filter by invalid card details status

isOther
boolean

Filter by other error types

Response

200 - application/json

Paginated list of transaction status codes

Response containing paginated transaction status codes

success
boolean

Indicates if the request was successful

count
integer

Number of items in current page

totalCount
integer

Total number of items matching the filter criteria

pageNumber
integer

Current page number

pageSize
integer

Number of items per page

totalPages
integer

Total number of pages

moreResults
boolean

Indicates if there are more pages available

data
object[]

Array of transaction status codes